Cant access over SSL after upgrade to 1.9.2

Hi,

I upgraded from 1.8.1 to 1.9.2 and now i cant access over SSL, i am using IP based access and firefox says:

An error occurred during a connection to XXXX:8090. SSL received a record that exceeded the maximum permissible length. Error code: SSL_ERROR_RX_RECORD_TOO_LONG

Chrome:

ERR_SSL_PROTOCOL_ERROR

Tryed rebooting server and nothing, i can access over normal http but i dont want to login like this, any suggestions?

Regards

Issue hostname ssl again and it should be fine. → 2 - CyberPanel on SSL - CyberPanel

@CyberPanel

I cant issue that way as panel url is not shown there i am accessing over IP not over hostname as i dont have hostname for it. What should i do, is there terminal command to do this?

dont use https on url then just do http://ip:8090

You have to do this on else i dont think you can access the panel as ssl needs a hostname, you cant issue ssl for ip.

@Numeriku

On version 1.8.2 i had self signed SSL on panel IP and after upgrade it doesnt work, i dont want to access the panel over non SSL protocol but want to retain ability to use self signed cert over IP.

I fixed it with this if anyone cares:

[root@panel /]# cat /usr/local/lsws/admin/conf/webadmin.crt > /usr/local/lscp/conf/cert.pem
[root@panel /]# cat /usr/local/lsws/admin/conf/webadmin.key > /usr/local/lscp/conf/key.pem
[root@panel /]# systemctl restart lscpd

thanks to @rick

I tried this and it did not work

[root@panel /]# cat /usr/local/lsws/admin/conf/webadmin.crt > /usr/local/lscp/conf/cert.pem
[root@panel /]# cat /usr/local/lsws/admin/conf/webadmin.key > /usr/local/lscp/conf/key.pem
[root@panel /]# systemctl restart lscpd

My webadmin.crt and webadmin.key are empty.

I tried logging in without http but login keeps on loading